Skip to main content
PATCH
Channels that have not been verified cannot be updated.

Path parameters

workflow_id
string
required
The unique identifier of the workflow.
channel_id
string
required
The unique identifier of the notification channel to update.

Body

description
string
Updated channel description. Maximum 255 characters.
event_types
array
Updated list of event types to subscribe to.
enabled
boolean
Whether the channel is active.
url
string
Updated webhook endpoint URL. Applies when channel_type is webhook.
secret
string
Updated signing secret for verifying incoming webhook requests. Must be between 24 and 75 bytes (24 to 75 ASCII characters). Applies when channel_type is webhook. Omit to keep the current value.Use this secret to verify incoming webhook requests. If you do not provide a secret, you cannot use secret-based verification for incoming webhook requests.
email_config
object
Updated email delivery configuration. Applies when channel_type is email.

Response

id
string
required
Unique identifier for the channel.
channel_type
string
required
Channel type: webhook or email.For more information, see Webhooks and Email notifications.
event_types
array
required
Subscribed event types.
enabled
boolean
required
Whether the channel is active.
created_at
string
required
ISO 8601 timestamp when the channel was created.
updated_at
string
required
ISO 8601 timestamp when the channel was last updated.
description
string
Channel description.
url
string
Webhook endpoint URL. Present when channel_type is webhook.
email_config
object
Email delivery configuration. Present when channel_type is email.